%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define pyver %(%{__python} -c "import sys ; print sys.version[:3]")
%define py_incdir %{_includedir}/python%{pyver}

Summary: Python's own image processing library 
Name: python-imaging
Epoch: 0
Version: 1.1.4
Release: 1
License: Distributable
Group: Development/Languages
Source0: http://effbot.org/downloads/Imaging-1.1.4.tar.gz
Patch0: %{name}-ft2.patch
Patch1: %{name}-build.patch
Patch2: %{name}-no-xv.patch
Patch3: %{name}-olefileio.patch
Patch4: %{name}-png.patch
Patch5: %{name}-no-rexec.patch
Patch6: %{name}-giftrans.patch
URL: http://www.pythonware.com/products/pil/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: python-devel, libjpeg-devel, zlib-devel, XFree86-devel
BuildRequires: tkinter, %{_includedir}/tcl.h, %{_includedir}/tk.h
Requires: python-abi = %{pyver}

%description
Python Imaging Library 
   
The Python Imaging Library (PIL) adds image processing capabilities 
to your Python interpreter.

This library provides extensive file format support, an efficient
internal representation, and powerful image processing capabilities.

Details about licensing can be found from README file.

%package devel
Summary: Development files for python-imaging.
Group: Development/Languages
Requires: %{name} = %{epoch}:%{version}-%{release}, python-devel, %{py_incdir}

%description devel
Development files for python-imaging.

#---------------------------------------------------------------------

%prep
%setup -q -n Imaging-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

#---------------------------------------------------------------------

%build
cd libImaging
%configure
make \
%ifarch x86_64
   CFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC" \
%endif
   %{?_smp_mflags}

cd ..
%{__python} setup.py build

#---------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{py_incdir}/Imaging
install -m 644 libImaging/*.h $RPM_BUILD_ROOT/%{py_incdir}/Imaging
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

#---------------------------------------------------------------------

%check || :
PYTHONPATH=$(ls -1d build/lib.linux*) %{__python} selftest.py

#---------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

#---------------------------------------------------------------------

%files
%defattr (-,root,root)
%doc README CHANGES-114
%{python_sitearch}/PIL.pth
%dir %{python_sitearch}/PIL
%{python_sitearch}/PIL/*.so
%{python_sitearch}/PIL/*.py
%{python_sitearch}/PIL/*.pyc
%ghost %{python_sitearch}/PIL/*.pyo

%files devel
%defattr (0644,root,root,755)
%{py_incdir}/Imaging
%doc Doc Scripts Images Sane

%changelog
* Mon Jul 23 2007 Joel Andres Granados <jgranado at redhat dot com> - 0:1.1.4-1
- Build python-imaging for EPEL4 with the version from FC3.  EPEL4 are packages
- that can be installed in RHEL4**.

* Mon Feb  7 2005 Thorsten Leemhuis <fedora at leemhuis dot info> - 0:1.1.4-7
- Build PIC on x86_64 to fix x86_64 linking.

* Sat Oct  9 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.1.4-6
- Borrow parts from patch in Debian's 1.1.4-3 to fix issues in bug 1038 as
  well as a bunch of others.
- Bring up to date with current fedora.us Python spec template recommendations.
- Fix -devel directory permissions.

* Sun Nov 30 2003 Juha Ylitalo <jylitalo@iki.fi> - 0:1.1.4-0.fdr.5
- added -devel package (thanks to patch from pmatilai@welho.com)
- FC1 requires dependency to tcl-devel and tk-devel package 

* Wed Jul 16 2003 Juha Ylitalo <jylitalo@iki.fi> - 0:1.1.4-0.fdr.4
- bumped release
- implemented changes from Ville, which basically means that:
- setup macro now users "-q" option
- libpng dropped from buildrequirements
- run test suite after build

* Sat Jul 12 2003 Juha Ylitalo <jylitalo@iki.fi> - 0:1.1.4-0.fdr.3
- fixed source0 to point into effbot.org instead of pythonware.com
- changed references from python2 to python, since python in RH9 is 
  python 2.2.
- removed percent signs from changelog.

* Tue Jul 08 2003 Juha Ylitalo <jylitalo@iki.fi> - 0:1.1.4-0.fdr.2
- added XFree86-devel and tkinter into buildrequires.
- removed version info from buildrequires
- removed unnecessary stuff from requires.

* Wed Jun 23 2003 Juha Ylitalo <jylitalo@iki.fi> - 0:1.1.4-0.fdr.1
- new upstream version

* Tue May 20 2003 Juha Ylitalo <jylitalo@iki.fi> - 0:1.1.3-0.fdr.5
- added python2-devel into buildrequires.
- added versionm variable into setup macro instead of hard coded 
  version number.

* Mon May 12 2003 Juha Ylitalo <jylitalo@iki.fi> - 0:1.1.3-0.fdr.4
- removed unnecessary ./configure
- /usr/lib -> _libdir macro
- smp flags to make

* Sat May 03 2003 Juha Ylitalo <jylitalo@iki.fi> - 0:1.1.3-0.fdr.3
- changed buildroot macro back to $RP_BUILD_ROOT
- ./configure to configure macro
- Group to Development/Languages
- Added Epoch values to versioned Requires and BuildRequires
- added README and CHANGES-113 into doc

* Wed Mar 26 2003 Juha Ylitalo <jylitalo@iki.fi> - 0:1.1.3-0.fdr.2
- added Epoch
- added URL into Source0
- replaced $RPM_BUILD_ROOT with buildroot macro

* Wed Mar 26 2003 Juha Ylitalo <jylitalo@iki.fi> - 0:1.1.3-0.fdr.1
- modified spec file to fit with fedora guidelines.

* Mon Sep 23 2002 Juha Ylitalo <jylitalo@iki.fi> - 1.1.3-1
- updated to 1.1.3
- switched from python 1.5.2 to python 2.2
- other modifications to make it build at minimal effort

* Tue Sep 12 2000 Ray Garcia <rayg@ssec.wisc.edu> 
- update to 1.1

* Thu Mar 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0b1-3mdk
- group fix.

* Mon Jan 10 2000 Lenny Cartier <lenny@mandrakesoft.com>
- build for oxygen
- deactivate provinding of tkinter lib since Chmouel one's works perfectly

* Mon Dec 27 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- bz2 archive

* Mon Jan 11 1999 Oliver Andrich <oli@andrich.net>
- upgraded to Imaging 1.0b1

* Sun Dec 27 1998 Oliver Andrich <oli@andrich.net>
- changed Setup file so that the tkinter module is compiled with Tix and BLT
	support

* Mon Jul 20 1998 Oliver Andrich <oli@andrich.net>
- had to recompile and update the package to support the uptodate graphics
	libs

* Sat Jun 07 1998 Oliver Andrich <oli@andrich.net>
- updated package to version 0.3a4

